/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks include file
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this include file. It is generated from DrBase repository.
 *
 *  Built on: 2021-09-17 14:05:09Z
 *****************************************************************************/

#ifndef __RSRTH_ATTRIBUTES_HEADER
#define __RSRTH_ATTRIBUTES_HEADER

#include "rscore.h"

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/*****************************************************************************
 *- Read Callbacks ----------------------------------------------------------*
 *****************************************************************************/
ViStatus rsrth_logging_ReadCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr);

/*****************************************************************************
 *- Write Callbacks ---------------------------------------------------------*
 *****************************************************************************/
ViStatus rsrth_logging_WriteCallback(ViSession io, ViConstString repCapName, RsCoreAttributePtr attr, void *value);

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreRangeTableRanged RsRth_rngHorzScale;
extern RsCoreRangeTableRanged RsRth_rngHorzAcquisitionTime;
extern RsCoreRangeTableCoerced RsRth_rngHorzReference;
extern RsCoreRangeTableDiscrete RsRth_rngSampleMode;
extern RsCoreRangeTableDiscrete RsRth_rngVerticalCoupling;
extern RsCoreRangeTableRanged RsRth_rngVerticalRange;
extern RsCoreRangeTableRanged RsRth_rngVerticalOffset;
extern RsCoreRangeTableDiscrete RsRth_rngChannelBWLimit;
extern RsCoreRangeTableDiscrete RsRth_rngTriggerMode;
extern RsCoreRangeTableDiscrete RsRth_rngTriggerType;
extern RsCoreRangeTableDiscrete RsRth_rngWidthCondition;
extern RsCoreRangeTableRanged RsRth_rngWidth;
extern RsCoreRangeTableRanged RsRth_rngLineNumber;
extern RsCoreRangeTableDiscrete RsRth_rngGlitchCondition;
extern RsCoreRangeTableDiscrete RsRth_rngWindowCondition;
extern RsCoreRangeTableDiscrete RsRth_rngTimeoutCondition;
extern RsCoreRangeTableRanged RsRth_rngInterval;
extern RsCoreRangeTableDiscrete RsRth_rngProtocolI2CTriggerType;
extern RsCoreRangeTableDiscrete RsRth_rngProtocolI2CAccessBit;
extern RsCoreRangeTableDiscrete RsRth_rngProtocolUARTTriggerType;
extern RsCoreRangeTableDiscrete RsRth_rngProtocolLINTrigger;
extern RsCoreRangeTableDiscrete RsRth_rngProtocolCANTriggMode;
extern RsCoreRangeTableDiscrete RsRth_rngProtocolCANIDType;
extern RsCoreRangeTableRanged RsRth_rngPersistenceTime;
extern RsCoreRangeTableDiscrete RsRth_rngHardcopyLang;
extern RsCoreRangeTableRanged RsRth_rngTriggerPosition;
extern RsCoreRangeTableDiscrete RsRth_rngTVTriggerStandard;
extern RsCoreRangeTableDiscrete RSRth_rngTVTriggerMode;
extern RsCoreRangeTableDiscrete RsRth_rngTVTriggerField;
extern RsCoreRangeTableDiscrete RsRth_rngTVTriggerPulseType;
extern RsCoreRangeTableRanged RsRth_rngTVLinePeriod;
extern RsCoreRangeTableRanged RsRth_rngTVPulseWidth;
extern RsCoreRangeTableDiscrete RsRth_rngTVScanMode;
extern RsCoreRangeTableRanged RsRth_rngMaskVerticalWidth;
extern RsCoreRangeTableDiscrete RsRth_rngByteOrder;
extern RsCoreRangeTableRanged RsRth_rngCursorXPosition;
extern RsCoreRangeTableRanged RsRth_rngNumberofAverages;
extern RsCoreRangeTableRanged RsRth_rngChannelDelay;
extern RsCoreRangeTableDiscrete RsRth_rngHistoryPlayerSpeed;
extern RsCoreRangeTableDiscrete RsRth_rngHistoryNumberofSegments;
extern RsCoreRangeTableRanged RsRth_rngHistoryIndex;
extern RsCoreRangeTableRanged RsRth_rngChannelOffset;
extern RsCoreRangeTableRanged RsRth_rngVerticalScale;
extern RsCoreRangeTableDiscrete RsRth_rngChannelThresholdTechnology;
extern RsCoreRangeTableRanged RsRth_rngChannelThresholdUser;
extern RsCoreRangeTableRanged RsRth_rngCursorYPosition;
extern RsCoreRangeTableDiscrete RsRth_rngCursorFunction;
extern RsCoreRangeTableDiscrete RsRth_rngLimitType;
extern RsCoreRangeTableDiscrete RsRth_rngDisplayPersistenceType;
extern RsCoreRangeTableRanged RsRth_rngLogicChannelDeskew;
extern RsCoreRangeTableDiscrete RsRth_rngMaskTestViolationEvent;
extern RsCoreRangeTableDiscrete RsRth_rngMaskTestState;
extern RsCoreRangeTableRanged RsRth_rngMaskHorizontalWidth;
extern RsCoreRangeTableDiscrete RsRth_rngMeasurementDelaySlope;
extern RsCoreRangeTableDiscrete RsRth_rngDataWaveformSource;
extern RsCoreRangeTableDiscrete RsRth_rngMeasurement;
extern RsCoreRangeTableDiscrete RsRth_rngCursorMeasurement;
extern RsCoreRangeTableDiscrete RsRth_rngMode;
extern RsCoreRangeTableDiscrete RsRth_rngReferenceWaveformSource;
extern RsCoreRangeTableDiscrete RsRth_rngWLANMode;
extern RsCoreRangeTableDiscrete RsRth_rngNqEq;
extern RsCoreRangeTableDiscrete RsRth_rngProtocolCANTriggFrameType;
extern RsCoreRangeTableDiscrete RsRth_rngProtocolData2ClockCondition;
extern RsCoreRangeTableDiscrete RsRth_rngTriggerPolarity;
extern RsCoreRangeTableRanged RsRth_rngData2ClockTime;
extern RsCoreRangeTableRanged RsRth_rngExternalTriggerLevel;
extern RsCoreRangeTableRanged RsRth_rngTriggerSequenceHoldoffEvents;
extern RsCoreRangeTableRanged RsRth_rngRandomTime;
extern RsCoreRangeTableDiscrete RsRth_rngHoldoffMode;
extern RsCoreRangeTableDiscrete RsRth_rngPolarity;
extern RsCoreRangeTableRanged RsRth_rngTriggerLimits;
extern RsCoreRangeTableDiscrete RsRth_rngTriggerState;
extern RsCoreRangeTableDiscrete RsRth_rngLogic;
extern RsCoreRangeTableRanged RsRth_rngPatternTimeout;
extern RsCoreRangeTableRanged RsRth_rngDelta;
extern RsCoreRangeTableDiscrete RsRth_rngPatternCondition;
extern RsCoreRangeTableDiscrete RsRth_rngSlewCondition;
extern RsCoreRangeTableDiscrete RsRth_rngBitOrder;
extern RsCoreRangeTableDiscrete RsRth_rngProtocolSPITriggerMode;
extern RsCoreRangeTableDiscrete RsRth_rngProtocolSPITriggerPatternLine;
extern RsCoreRangeTableRanged RsRth_rngTimeoutValue;
extern RsCoreRangeTableDiscrete RsRth_rngWindowTimeCondition;
extern RsCoreRangeTableRanged RsRth_rngZoomScale;
extern RsCoreRangeTableRanged RsRth_rngZoomPosition;
extern RsCoreRangeTableDiscrete RsRth_rngRuntCondition;
extern RsCoreRangeTableDiscrete RsRth_rngDataSource;
extern RsCoreRangeTableDiscrete RsRth_rngTriggerDataSource;
extern RsCoreRangeTableDiscrete RsRth_rngLogicChannelGroupHysteresis;
extern RsCoreRangeTableDiscrete RsRth_rngTriggerSingleMode;
extern RsCoreRangeTableDiscrete RsRth_rngPreselectedRecordLength;
extern RsCoreRangeTableDiscrete RsRth_rngWaveformUpdate;
extern RsCoreRangeTableDiscrete RsRth_rngProbeSettling;
extern RsCoreRangeTableRanged RsRth_rngProbeFactor;
extern RsCoreRangeTableDiscrete RsRth_rngProbeUnit;
extern RsCoreRangeTableDiscrete RsRth_rngInvert;
extern RsCoreRangeTableDiscrete RsRth_rngCANFDBits;
extern RsCoreRangeTableRanged RsRth_rngCANByteOffset;
extern RsCoreRangeTableDiscrete RsRth_rngProtocolSENTTriggerType;
extern RsCoreRangeTableDiscrete RsRth_rngProtocolSENTTriggerCondition;

/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreAttribute g_RS_ATTR_RANGE_CHECK;
extern RsCoreAttribute g_RS_ATTR_QUERY_INSTRUMENT_STATUS;
extern RsCoreAttribute g_RS_ATTR_SIMULATE;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_PREFIX;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_LOCATOR;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_VENDOR;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_REVISION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS;
extern RsCoreAttribute g_RS_ATTR_GROUP_CAPABILITIES;
extern RsCoreAttribute g_RS_ATTR_FUNCTION_CAPABILITIES;
extern RsCoreAttribute g_RS_ATTR_CHANNEL_COUNT;
extern RsCoreAttribute g_RS_ATTR_DRIVER_SETUP;
extern RsCoreAttribute g_RS_ATTR_INSTRUMENT_MANUFACTURER;
extern RsCoreAttribute g_RS_ATTR_INSTRUMENT_MODEL;
extern RsCoreAttribute g_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION;
extern RsCoreAttribute g_RS_ATTR_OPTIONS_LIST;
extern RsCoreAttribute g_RS_ATTR_IO_RESOURCE_DESCRIPTOR;
extern RsCoreAttribute g_RS_ATTR_LOGICAL_NAME;
extern RsCoreAttribute g_RS_ATTR_PRIMARY_ERROR;
extern RsCoreAttribute g_RS_ATTR_SECONDARY_ERROR;
extern RsCoreAttribute g_RS_ATTR_ERROR_ELABORATION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_CLASS_DRIVER_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_ENGINE_MAJOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_ENGINE_MINOR_VERSION;
extern RsCoreAttribute g_RS_ATTR_ENGINE_REVISION;
extern RsCoreAttribute g_RS_ATTR_OPC_TIMEOUT;
extern RsCoreAttribute g_RSRTH_ATTR_MODE;
extern RsCoreAttribute g_RSRTH_ATTR_NUM_AVERAGES;
extern RsCoreAttribute g_RSRTH_ATTR_SAMPLE_MODE;
extern RsCoreAttribute g_RSRTH_ATTR_PRESELECTED_RECORD_LENGTH;
extern RsCoreAttribute g_RSRTH_ATTR_WAVEFORM_UPDATE;
extern RsCoreAttribute g_RSRTH_ATTR_HORZ_RECORD_LENGTH;
extern RsCoreAttribute g_RSRTH_ATTR_HORZ_ADC_SAMPLE_RATE;
extern RsCoreAttribute g_RSRTH_ATTR_HORZ_RESOLUTION;
extern RsCoreAttribute g_RSRTH_ATTR_AUTOSCALE;
extern RsCoreAttribute g_RSRTH_ATTR_HORZ_TIME_PER_RECORD;
extern RsCoreAttribute g_RSRTH_ATTR_HORZ_SCALE;
extern RsCoreAttribute g_RSRTH_ATTR_ACQUSITION_START_TIME;
extern RsCoreAttribute g_RSRTH_ATTR_HORZ_REFERENCE;
extern RsCoreAttribute g_RSRTH_ATTR_CHANNEL_ENABLED;
extern RsCoreAttribute g_RSRTH_ATTR_VERTICAL_RANGE;
extern RsCoreAttribute g_RSRTH_ATTR_VERTICAL_OFFSET;
extern RsCoreAttribute g_RSRTH_ATTR_VERTICAL_COUPLING;
extern RsCoreAttribute g_RSRTH_ATTR_VERTICAL_SCALE;
extern RsCoreAttribute g_RSRTH_ATTR_CHANNEL_OFFSET;
extern RsCoreAttribute g_RSRTH_ATTR_CHANNEL_BANDWIDTH_LIMIT;
extern RsCoreAttribute g_RSRTH_ATTR_CHANNEL_DELAY;
extern RsCoreAttribute g_RSRTH_ATTR_PROBE_SETTLING;
extern RsCoreAttribute g_RSRTH_ATTR_PROBE_FACTOR;
extern RsCoreAttribute g_RSRTH_ATTR_PROBE_UNIT;
extern RsCoreAttribute g_RSRTH_ATTR_INVERT_POLARITY;
extern RsCoreAttribute g_RSRTH_ATTR_WAVEFORM_HEADER;
extern RsCoreAttribute g_RSRTH_ATTR_CHANNEL_THRESHOLD_TECHNOLOGY;
extern RsCoreAttribute g_RSRTH_ATTR_CHANNEL_THRESHOLD_USER;
extern RsCoreAttribute g_RSRTH_ATTR_CHANNEL_FIND_THRESHOLD;
extern RsCoreAttribute g_RSRTH_ATTR_CHANNEL_GET_THRESHOLD;
extern RsCoreAttribute g_RSRTH_ATTR_TRIGGER_TYPE;
extern RsCoreAttribute g_RSRTH_ATTR_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSRTH_ATTR_TRIGGER_MODE;
extern RsCoreAttribute g_RSRTH_ATTR_TRIGGER_NOISE_REJECT;
extern RsCoreAttribute g_RSRTH_ATTR_TRIGGER_LEVEL;
extern RsCoreAttribute g_RSRTH_ATTR_TRIGGER_SLOPE;
extern RsCoreAttribute g_RSRTH_ATTR_EXTERNAL_TRIGGER_LEVEL;
extern RsCoreAttribute g_RSRTH_ATTR_EXTERNAL_TRIGGER_SLOPE;
extern RsCoreAttribute g_RSRTH_ATTR_RUNT_CONDITION;
extern RsCoreAttribute g_RSRTH_ATTR_RUNT_WIDTH;
extern RsCoreAttribute g_RSRTH_ATTR_RUNT_WIDTH_MIN;
extern RsCoreAttribute g_RSRTH_ATTR_RUNT_WIDTH_MAX;
extern RsCoreAttribute g_RSRTH_ATTR_RUNT_DELTA;
extern RsCoreAttribute g_RSRTH_ATTR_RUNT_POLARITY;
extern RsCoreAttribute g_RSRTH_ATTR_RUNT_HIGH_THRESHOLD;
extern RsCoreAttribute g_RSRTH_ATTR_RUNT_LOW_THRESHOLD;
extern RsCoreAttribute g_RSRTH_ATTR_GLITCH_WIDTH;
extern RsCoreAttribute g_RSRTH_ATTR_GLITCH_POLARITY;
extern RsCoreAttribute g_RSRTH_ATTR_GLITCH_CONDITION;
extern RsCoreAttribute g_RSRTH_ATTR_WIDTH_CONDITION;
extern RsCoreAttribute g_RSRTH_ATTR_WIDTH_WIDTH;
extern RsCoreAttribute g_RSRTH_ATTR_WIDTH_WIDTH_MIN;
extern RsCoreAttribute g_RSRTH_ATTR_WIDTH_WIDTH_MAX;
extern RsCoreAttribute g_RSRTH_ATTR_WIDTH_DELTA;
extern RsCoreAttribute g_RSRTH_ATTR_WIDTH_POLARITY;
extern RsCoreAttribute g_RSRTH_ATTR_WINDOW_CONDITION;
extern RsCoreAttribute g_RSRTH_ATTR_WINDOW_WIDTH;
extern RsCoreAttribute g_RSRTH_ATTR_WINDOW_WIDTH_MIN;
extern RsCoreAttribute g_RSRTH_ATTR_WINDOW_WIDTH_MAX;
extern RsCoreAttribute g_RSRTH_ATTR_WINDOW_DELTA;
extern RsCoreAttribute g_RSRTH_ATTR_WINDOW_TIME_CONDITION;
extern RsCoreAttribute g_RSRTH_ATTR_WINDOW_UPPER_LIMIT;
extern RsCoreAttribute g_RSRTH_ATTR_WINDOW_LOWER_LIMIT;
extern RsCoreAttribute g_RSRTH_ATTR_TIMEOUT_CONDITION;
extern RsCoreAttribute g_RSRTH_ATTR_TIMEOUT_VALUE;
extern RsCoreAttribute g_RSRTH_ATTR_INTERVAL_CONDITION;
extern RsCoreAttribute g_RSRTH_ATTR_INTERVAL_WIDTH;
extern RsCoreAttribute g_RSRTH_ATTR_INTERVAL_WIDTH_MIN;
extern RsCoreAttribute g_RSRTH_ATTR_INTERVAL_WIDTH_MAX;
extern RsCoreAttribute g_RSRTH_ATTR_INTERVAL_DELTA;
extern RsCoreAttribute g_RSRTH_ATTR_INTERVAL_POLARITY;
extern RsCoreAttribute g_RSRTH_ATTR_SLEW_CONDITION;
extern RsCoreAttribute g_RSRTH_ATTR_SLEW_RATE;
extern RsCoreAttribute g_RSRTH_ATTR_SLEW_DELTA;
extern RsCoreAttribute g_RSRTH_ATTR_SLEW_WIDTH_MIN;
extern RsCoreAttribute g_RSRTH_ATTR_SLEW_WIDTH_MAX;
extern RsCoreAttribute g_RSRTH_ATTR_SLEW_POLARITY;
extern RsCoreAttribute g_RSRTH_ATTR_SLEW_UPPER_LIMIT;
extern RsCoreAttribute g_RSRTH_ATTR_SLEW_LOWER_LIMIT;
extern RsCoreAttribute g_RSRTH_ATTR_DATA2CLOCK_CONDITION;
extern RsCoreAttribute g_RSRTH_ATTR_DATA2CLOCK_SOURCE;
extern RsCoreAttribute g_RSRTH_ATTR_DATA2CLOCK_DATA_SOURCE;
extern RsCoreAttribute g_RSRTH_ATTR_DATA2CLOCK_HOLD_TIME;
extern RsCoreAttribute g_RSRTH_ATTR_DATA2CLOCK_SETUP_TIME;
extern RsCoreAttribute g_RSRTH_ATTR_DATA2CLOCK_POLARITY;
extern RsCoreAttribute g_RSRTH_ATTR_PATTERN_COMBINATION;
extern RsCoreAttribute g_RSRTH_ATTR_PATTERN_TIMEOUT;
extern RsCoreAttribute g_RSRTH_ATTR_PATTERN_CONDITION;
extern RsCoreAttribute g_RSRTH_ATTR_PATTERN_WIDTH;
extern RsCoreAttribute g_RSRTH_ATTR_PATTERN_WIDTH_MIN;
extern RsCoreAttribute g_RSRTH_ATTR_PATTERN_WIDTH_MAX;
extern RsCoreAttribute g_RSRTH_ATTR_PATTERN_DELTA;
extern RsCoreAttribute g_RSRTH_ATTR_PATTERN_CHANNEL_STATE;
extern RsCoreAttribute g_RSRTH_ATTR_SERIAL_PATTERN_SOURCE;
extern RsCoreAttribute g_RSRTH_ATTR_SERIAL_PATTERN_DATA_SOURCE;
extern RsCoreAttribute g_RSRTH_ATTR_SERIAL_PATTERN;
extern RsCoreAttribute g_RSRTH_ATTR_SERIAL_PATTERN_POLARITY;
extern RsCoreAttribute g_RSRTH_ATTR_SERIAL_PATTERN_FIRST_POLARITY;
extern RsCoreAttribute g_RSRTH_ATTR_SERIAL_PATTERN_BIT_ORDER;
extern RsCoreAttribute g_RSRTH_ATTR_TV_TRIGGER_STANDARD;
extern RsCoreAttribute g_RSRTH_ATTR_TV_TRIGGER_MODE;
extern RsCoreAttribute g_RSRTH_ATTR_TV_TRIGGER_LINE_NUMBER;
extern RsCoreAttribute g_RSRTH_ATTR_TV_TRIGGER_FIELD;
extern RsCoreAttribute g_RSRTH_ATTR_TV_TRIGGER_POLARITY;
extern RsCoreAttribute g_RSRTH_ATTR_TV_TRIGGER_PULSE_TYPE;
extern RsCoreAttribute g_RSRTH_ATTR_TV_TRIGGER_LINE_PERIOD;
extern RsCoreAttribute g_RSRTH_ATTR_TV_TRIGGER_PULSE_WIDTH;
extern RsCoreAttribute g_RSRTH_ATTR_TV_TRIGGER_SCAN_MODE;
extern RsCoreAttribute g_RSRTH_ATTR_TRIGGER_SEQUENCE_HOLDOFF_MODE;
extern RsCoreAttribute g_RSRTH_ATTR_TRIGGER_SEQUENCE_HOLDOFF_TIME;
extern RsCoreAttribute g_RSRTH_ATTR_TRIGGER_SEQUENCE_HOLDOFF_EVENTS;
extern RsCoreAttribute g_RSRTH_ATTR_TRIGGER_SEQUENCE_HOLDOFF_RANDOM_MINIMUM_TIME;
extern RsCoreAttribute g_RSRTH_ATTR_TRIGGER_SEQUENCE_HOLDOFF_RANDOM_MAXIMUM_TIME;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_I2C_TRIGGER_MODE;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_I2C_TRIGGER_ADRESS_NACK;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_I2C_TRIGGER_DATA_WRITE_NACK;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_I2C_TRIGGER_DATA_READ_NACK;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_I2C_TRIGGER_ACCESS_BIT;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS_CONDITION;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_I2C_TRIGGER_ADDRESS;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_I2C_TRIGGER_POSITION;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_I2C_TRIGGER_DATA_CONDITION;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_I2C_TRIGGER_PATTERN;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_SPI_TRIGGER_MODE;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_SPI_TRIGGER_DATA_PATTERN;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_SPI_TRIGGER_DATA_CONDITION;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_SPI_TRIGGER_POSITION;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_SPI_TRIGGER_PATTERN_LINE;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_UART_TRIGGER_MODE;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_UART_TRIGGER_DATA_PATTERN;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_UART_TRIGGER_DATA_PATTERN_CONDITION;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_LIN_TRIGGER_MODE;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_LIN_TRIGGER_CONDITION_DATA;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_LIN_TRIGGER_PATTERN_DATA;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_LIN_TRIGGER_IDENTIFIER_CONDITION;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_LIN_TRIGGER_PATTERN_IDENTIFIER;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_LIN_TRIGGER_CHECKSUM_ERROR;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_LIN_TRIGGER_IDENTIFIER_PARITY_ERROR;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_LIN_TRIGGER_SYNC_ERROR;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_MODE;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_FRAME_TYPE;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_ID_TYPE;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_FD_BITS_FDF;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_FD_BITS_BRS;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_FD_BITS_ESI;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_DATA_CONDITION;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_PATTERN_DATA;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_BYTE_OFFSET;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_IDENTIFIER_CONDITION;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_PATTERN_IDENTIFIER;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_CHECKSUM_ERROR;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_BIT_STUFFING_ERROR;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_FORM_ERROR;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_ACK_ERROR;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_CAN_TRIGGER_STUFF_COUNT_ERROR;
extern RsCoreAttribute g_RSRTH_ATTR_STATE_TRIGGER_CLOCK_SOURCE;
extern RsCoreAttribute g_RSRTH_ATTR_STATE_TRIGGER_CLOCK_EDGE;
extern RsCoreAttribute g_RSRTH_ATTR_STATE_TRIGGER_COMBINATION;
extern RsCoreAttribute g_RSRTH_ATTR_STATE_TRIGGER_ENABLED;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_SENT_TRIGGER_TYPE;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_SENT_TRIGGER_DATA_CONDITION;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_SENT_TRIGGER_DATA_PATTERN;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_SENT_TRIGGER_IDENTIFIER_CONDITION;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_SENT_TRIGGER_IDENTIFIER_PATTERN;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_SENT_TRIGGER_STATUS_CONDITION;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_SENT_TRIGGER_STATUS_PATTERN;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_SENT_TRIGGER_FAST_CRC_ERROR;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_SENT_TRIGGER_SLOW_CRC_ERROR;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_SENT_TRIGGER_FRAME_LENGTH_ERROR;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_SENT_TRIGGER_PULSE_PERIOD_ERROR;
extern RsCoreAttribute g_RSRTH_ATTR_PROTOCOL_SENT_TRIGGER_SYNC_PULSE_ERROR;
extern RsCoreAttribute g_RSRTH_ATTR_RUN_NO_WAIT;
extern RsCoreAttribute g_RSRTH_ATTR_RUN;
extern RsCoreAttribute g_RSRTH_ATTR_STOP;
extern RsCoreAttribute g_RSRTH_ATTR_CURSOR_ENABLED;
extern RsCoreAttribute g_RSRTH_ATTR_CURSOR_MEASUREMENT_TYPE;
extern RsCoreAttribute g_RSRTH_ATTR_CURSOR_SOURCE;
extern RsCoreAttribute g_RSRTH_ATTR_CURSOR_COUPLING;
extern RsCoreAttribute g_RSRTH_ATTR_CURSOR_SCALE_COUPLING;
extern RsCoreAttribute g_RSRTH_ATTR_CURSOR_SET_TO_SCREEN;
extern RsCoreAttribute g_RSRTH_ATTR_CURSOR_HORIZONTAL_DISTANCE;
extern RsCoreAttribute g_RSRTH_ATTR_CURSOR_VERTICAL_DISTANCE;
extern RsCoreAttribute g_RSRTH_ATTR_CURSOR_INVERSE_DISTANCE;
extern RsCoreAttribute g_RSRTH_ATTR_CURSOR_X_POSITION;
extern RsCoreAttribute g_RSRTH_ATTR_CURSOR_Y_POSITION;
extern RsCoreAttribute g_RSRTH_ATTR_CURSOR_Y_AMPLITUDE;
extern RsCoreAttribute g_RSRTH_ATTR_MEASUREMENT_ENABLED;
extern RsCoreAttribute g_RSRTH_ATTR_MEASUREMENT_DISABLED_ALL;
extern RsCoreAttribute g_RSRTH_ATTR_MEASUREMENT_DELAY_SLOPE;
extern RsCoreAttribute g_RSRTH_ATTR_MEASUREMENT_TYPE;
extern RsCoreAttribute g_RSRTH_ATTR_MEASUREMENT_RESULT;
extern RsCoreAttribute g_RSRTH_ATTR_MEASUREMENT_RESULT_LIMIT;
extern RsCoreAttribute g_RSRTH_ATTR_CURSOR_MEASUREMENT;
extern RsCoreAttribute g_RSRTH_ATTR_CURSOR_MEASUREMENT_RESULT;
extern RsCoreAttribute g_RSRTH_ATTR_CURSOR_MEASUREMENT_RESULT_LIMIT;
extern RsCoreAttribute g_RSRTH_ATTR_CURSOR_MEASUREMENT_AMPLITUDE_1;
extern RsCoreAttribute g_RSRTH_ATTR_CURSOR_MEASUREMENT_AMPLITUDE_2;
extern RsCoreAttribute g_RSRTH_ATTR_MATH_WAVEFORM_ENABLED;
extern RsCoreAttribute g_RSRTH_ATTR_MATH_EXPRESSION;
extern RsCoreAttribute g_RSRTH_ATTR_MATH_VERTICAL_RANGE;
extern RsCoreAttribute g_RSRTH_ATTR_MATH_VERTICAL_SCALE;
extern RsCoreAttribute g_RSRTH_ATTR_MATH_VERTICAL_POSITION;
extern RsCoreAttribute g_RSRTH_ATTR_MATH_RESET;
extern RsCoreAttribute g_RSRTH_ATTR_REFERENCE_WAVEFORM_SOURCE;
extern RsCoreAttribute g_RSRTH_ATTR_REFERENCE_WAVEFORM_DISPLAY_ENABLED;
extern RsCoreAttribute g_RSRTH_ATTR_REFERENCE_WAVEFORM_NAME;
extern RsCoreAttribute g_RSRTH_ATTR_REFERENCE_WAVEFORM_LOAD;
extern RsCoreAttribute g_RSRTH_ATTR_REFERENCE_WAVEFORM_SAVE;
extern RsCoreAttribute g_RSRTH_ATTR_REFERENCE_WAVEFORM_DELETE;
extern RsCoreAttribute g_RSRTH_ATTR_REFERENCE_WAVEFORM_UPDATE;
extern RsCoreAttribute g_RSRTH_ATTR_REFERENCE_WAVEFORM_VERTICAL_POSITION;
extern RsCoreAttribute g_RSRTH_ATTR_MASK_TEST_VIOLATION_EVENT;
extern RsCoreAttribute g_RSRTH_ATTR_MASK_TEST_STATE;
extern RsCoreAttribute g_RSRTH_ATTR_MASK_TEST_RESET;
extern RsCoreAttribute g_RSRTH_ATTR_MASK_TEST_DURATION;
extern RsCoreAttribute g_RSRTH_ATTR_MASK_TEST_CREATE;
extern RsCoreAttribute g_RSRTH_ATTR_MASK_TEST_ENABLED;
extern RsCoreAttribute g_RSRTH_ATTR_MASK_TEST_VERTICAL_WIDTH;
extern RsCoreAttribute g_RSRTH_ATTR_MASK_TEST_HORIZONTAL_WIDTH;
extern RsCoreAttribute g_RSRTH_ATTR_MASK_TEST_RESULT_TOTAL;
extern RsCoreAttribute g_RSRTH_ATTR_MASK_TEST_RESULT_PASSED;
extern RsCoreAttribute g_RSRTH_ATTR_MASK_TEST_RESULT_PASSED_PCT;
extern RsCoreAttribute g_RSRTH_ATTR_MASK_TEST_RESULT_FAILED;
extern RsCoreAttribute g_RSRTH_ATTR_MASK_TEST_RESULT_FAILED_PCT;
extern RsCoreAttribute g_RSRTH_ATTR_LOGIC_CHANNEL_STATE;
extern RsCoreAttribute g_RSRTH_ATTR_LOGIC_CHANNEL_COUPLING;
extern RsCoreAttribute g_RSRTH_ATTR_PROBE_STATE;
extern RsCoreAttribute g_RSRTH_ATTR_LOGIC_CHANNEL_DESKEW;
extern RsCoreAttribute g_RSRTH_ATTR_LOGIC_CHANNEL_GROUP_THRESHOLD_TECHNOLOGY;
extern RsCoreAttribute g_RSRTH_ATTR_LOGIC_CHANNEL_GROUP_THRESHOLD;
extern RsCoreAttribute g_RSRTH_ATTR_LOGIC_CHANNEL_GROUP_GET_THRESHOLD;
extern RsCoreAttribute g_RSRTH_ATTR_LOGIC_CHANNEL_GROUP_HYSTERESIS;
extern RsCoreAttribute g_RSRTH_ATTR_WLAN_MODE;
extern RsCoreAttribute g_RSRTH_ATTR_HISTORY_GET_ACQUISITIONS_COUNT;
extern RsCoreAttribute g_RSRTH_ATTR_HISTORY_STATE;
extern RsCoreAttribute g_RSRTH_ATTR_HISTORY_STOP_INDEX;
extern RsCoreAttribute g_RSRTH_ATTR_HISTORY_START_INDEX;
extern RsCoreAttribute g_RSRTH_ATTR_HISTORY_ACQUISITION_VIEW;
extern RsCoreAttribute g_RSRTH_ATTR_HISTORY_PLAYER_SPEED;
extern RsCoreAttribute g_RSRTH_ATTR_HISTORY_NUMBER_OF_SEGMENTS;
extern RsCoreAttribute g_RSRTH_ATTR_HISTORY_PLAYBACK;
extern RsCoreAttribute g_RSRTH_ATTR_HISTORY_AUTO_REPEAT;
extern RsCoreAttribute g_RSRTH_ATTR_HISTORY_ABSOLUTE_TIME_STAMP;
extern RsCoreAttribute g_RSRTH_ATTR_HISTORY_RELATIVE_TIME_STAMP;
extern RsCoreAttribute g_RSRTH_ATTR_HISTORY_DATE;
extern RsCoreAttribute g_RSRTH_ATTR_DISPLAY_CONTRAST_MODE;
extern RsCoreAttribute g_RSRTH_ATTR_DISPLAY_LCD_STATE;
extern RsCoreAttribute g_RSRTH_ATTR_DISPLAY_TOUCH_SCREEN_STATE;
extern RsCoreAttribute g_RSRTH_ATTR_DISPLAY_PERSISTENCE_TIME;
extern RsCoreAttribute g_RSRTH_ATTR_DISPLAY_PERSISTENCE_TYPE;
extern RsCoreAttribute g_RSRTH_ATTR_ZOOM_STATE;
extern RsCoreAttribute g_RSRTH_ATTR_ZOOM_SCALE;
extern RsCoreAttribute g_RSRTH_ATTR_ZOOM_POSITION;
extern RsCoreAttribute g_RSRTH_ATTR_CURRENT_DIRECTORY;
extern RsCoreAttribute g_RSRTH_ATTR_CREATE_DIRECTORY;
extern RsCoreAttribute g_RSRTH_ATTR_REMOVE_DIRECTORY;
extern RsCoreAttribute g_RSRTH_ATTR_DELETE_FILE;
extern RsCoreAttribute g_RSRTH_ATTR_RECALL_INSTRUMENT_SETTINGS;
extern RsCoreAttribute g_RSRTH_ATTR_SAVE_INSTRUMENT_SETTINGS;
extern RsCoreAttribute g_RSRTH_ATTR_WAVEFORM_EXPORT_MULTICHANNEL;
extern RsCoreAttribute g_RSRTH_ATTR_WAVEFORM_EXPORT_SOURCE;
extern RsCoreAttribute g_RSRTH_ATTR_WAVEFORM_EXPORT_DATA_LOGGING;
extern RsCoreAttribute g_RSRTH_ATTR_WAVEFORM_EXPORT_FILE;
extern RsCoreAttribute g_RSRTH_ATTR_WAVEFORM_EXPORT;
extern RsCoreAttribute g_RSRTH_ATTR_WAVEFORM_EXPORT_INTERLEAVED_XY;
extern RsCoreAttribute g_RSRTH_ATTR_HARDCOPY_FILE_NAME;
extern RsCoreAttribute g_RSRTH_ATTR_HARDCOPY_PRINT;
extern RsCoreAttribute g_RSRTH_ATTR_HARDCOPY_BWCOLOR;
extern RsCoreAttribute g_RSRTH_ATTR_HARDCOPY_INVERSE;
extern RsCoreAttribute g_RSRTH_ATTR_HARDCOPY_LANGUAGE_OUTPUT_FORMAT;
extern RsCoreAttribute g_RSRTH_ATTR_APP_PATH;
extern RsCoreAttribute g_RSRTH_ATTR_APP_PERSISTENCE;
extern RsCoreAttribute g_RSRTH_ATTR_ID_QUERY_RESPONSE;
extern RsCoreAttribute g_RSRTH_ATTR_LOGGING;
extern RsCoreAttribute g_RSRTH_ATTR_BYTE_ORDER;
extern RsCoreAttribute g_RSRTH_ATTR_SYSTEM_ERROR;
extern RsCoreAttribute g_RSRTH_ATTR_PROCESS_ALL_PREVIOUS_COMMANDS;

/*****************************************************************************
 *- Repeated Capabilities Table ---------------------------------------------*
 *****************************************************************************/
extern RsCoreRepCap rsrth_RsCoreRepCapTable[];
extern ViInt32 rsrth_RsCoreRepCapTableCount;

/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/
extern RsCoreAttributePtr rsrth_RsCoreAttributeList[];
extern ViInt32 rsrth_RsCoreAttributeListLength;

/****************************************************************************
 *---------------------------- End Include File ----------------------------*
 ****************************************************************************/
#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif
#endif /* __RSRTH_ATTRIBUTES_HEADER */
